
<section class="py-4 osahan-main-body">
  
    <div class="container">

        
        <div class="row">
            <div class="col-lg-12">

                <div class="osahan-home-page">

                    <div class="osahan-body">

                        <div class="pt-3 pb-2 rounded osahan-categories">
                            <div class="d-flex align-items-center mb-2">
                                <h5 class="m-0 text-white">What do you looking for?</h5>
                            </div>
                            <div class="categories-slider">
                                <div class="col-c" *ngFor="let c of category">
                                    <div class="bg-white shadow-sm rounded text-center my-2 px-2 py-3 c-it" [routerLink]="['/subcategory',c.id]">
                                        <a>
                                            <!-- <img src="assets/img/categorie/1.svg" class="img-fluid px-2 mx-auto"> -->
                                            <p class="m-0 pt-2 text-muted text-center">{{c.name}}</p>
                                        </a>
                                    </div>
                                </div>
                             
                              
                              
                              

                                
                            </div>
                        </div>

       

                        <!-- <div class="py-3 osahan-promos">
                            <div class="d-flex align-items-center mb-3">
                                <h5 class="m-0">Promos for you</h5>
                                <a href="promos.html" class="ml-auto btn btn-outline-success btn-sm">See more</a>
                            </div>
                            <div class="promo-slider pb-0 mb-0">
                                <div class="osahan-slider-item mx-2">
                                    <a href="promo_details.html"><img src="assets/img/promo1.jpg"
                                            class="img-fluid mx-auto rounded" alt="Responsive image"></a>
                                </div>
                                <div class="osahan-slider-item mx-2">
                                    <a href="promo_details.html"><img src="assets/img/promo2.jpg"
                                            class="img-fluid mx-auto rounded" alt="Responsive image"></a>
                                </div>
                                <div class="osahan-slider-item mx-2">
                                    <a href="promo_details.html"><img src="assets/img/promo3.jpg"
                                            class="img-fluid mx-auto rounded" alt="Responsive image"></a>
                                </div>
                                <div class="osahan-slider-item mx-2">
                                    <a href="promo_details.html"><img src="assets/img/promo4.jpg"
                                            class="img-fluid mx-auto rounded" alt="Responsive image"></a>
                                </div>
                                <div class="osahan-slider-item mx-2">
                                    <a href="promo_details.html"><img src="assets/img/promo2.jpg"
                                            class="img-fluid mx-auto rounded" alt="Responsive image"></a>
                                </div>
                                <div class="osahan-slider-item mx-2">
                                    <a href="promo_details.html"><img src="assets/img/promo3.jpg"
                                            class="img-fluid mx-auto rounded" alt="Responsive image"></a>
                                </div>
                            </div>
                        </div> -->

                        <div class="title d-flex align-items-center py-3">

                            <div class="ml-3 d-flex align-items-center">
                                <div class="dropdown mr-3">
                                    <h5 class="m-0">Pick's Today</h5>
                            <!-- <a class="ml-auto btn btn-outline-success btn-sm" href="picks_today.html">See more</a> -->
                                    <div class="dropdown-menu osahan-select-loaction p-3" aria-labelledby="navbarDropdown">
                                       
                                        <div class="city pt-2">
                                            <h6>Top Citys</h6>
                                            <p class="border-bottom m-0 py-1"><a href="#" class="text-dark">Banglore</a></p>
                                            <p class="border-bottom m-0 py-1"><a href="#" class="text-dark">Noida</a></p>
                                            <p class="border-bottom m-0 py-1"><a href="#" class="text-dark">Delhi</a></p>
                                            <p class="m-0 py-1"><a href="#" class="text-dark">Mumbai</a></p>
                                        </div>
                                    </div>
                                </div>
                            
                                <div class="input-group mr-sm-2 col-lg-12">
                                    <input type="text" class="form-control" id="inlineFormInputGroupUsername2" [(ngModel)]="search_name"
                                        placeholder="Search for Products..">
                                    <div class="input-group-prepend">
                                        <div class="btn btn-success rounded-right"><i class="icofont-search"></i></div>
                                    </div>
                                </div>
                            </div>
                         
                           
                       
                        </div>

                        <div class="pick_today">
                           
                            <div class="row">
                                <div class="col-6 col-md-3 mb-3" *ngFor="let p of listproduct|recherche:search_name">
                                    <div
                                        class="list-card bg-white h-100 rounded overflow-hidden position-relative shadow-sm">
                                        <div class="list-card-image">
                                            <a  class="text-dark">
                                                <div class="member-plan position-absolute"><span
                                                        class="badge m-3 badge-danger">{{p.remise}}%</span></div>
                                                <div class="p-3">
                                                    <img  src="http://localhost:8083/users/files/{{ p.image }}"  [routerLink]="['/productdetail',p.id]"
                                                        class="img-fluid item-img w-100 mb-3">
                                                    <h6>{{p.name}}</h6>
                                                    <div class="d-flex align-items-center">
                                                        <h6 class="price m-0 text-success">{{p.quantite}}</h6>
                                                        <a data-toggle="collapse" href="#collapseExample1" role="button"
                                                            aria-expanded="false" aria-controls="collapseExample1"
                                                            class="btn btn-success btn-sm ml-auto">+</a>
                                                        <div class="collapse qty_show" id="collapseExample1">
                                                            <div>
                                                                <span class="ml-auto" href="#">
                                                                    <form id='myform' class="cart-items-number d-flex"
                                                                        method='POST' action='#'>
                                                                        <input type='button' value='-'
                                                                            class='qtyminus btn btn-success btn-sm'
                                                                            field='quantity' />
                                                                        <input type='text' name='quantity' value='1'
                                                                            class='qty form-control' />
                                                                        <input type='button' value='+'
                                                                            class='qtyplus btn btn-success btn-sm'
                                                                            field='quantity' />
                                                                    </form>
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            
                            </div>
                        </div>

                        <div class="title d-flex align-items-center py-3">
                            <h5 class="m-0">Recommend for You</h5>
                            <a class="ml-auto btn btn-outline-success btn-sm" href="recommend.html">26 more</a>
                        </div>

                        <div class="osahan-recommend">
                            <div class="row">
                                <div class="col-12 col-md-4 mb-3" *ngFor="let c of listproductclient">
                                    <a href="product_details.html" class="text-dark text-decoration-none">
                                        <div
                                            class="list-card bg-white h-100 rounded overflow-hidden position-relative shadow-sm">
                                            <div class="recommend-slider2 rounded mb-0">
                                                <div class="osahan-slider-item m-2 rounded">
                                                    <img src="http://localhost:8083/users/files/{{ c.image }}"
                                                        class="img-fluid mx-auto rounded shadow-sm"
                                                        >
                                                </div>
                                                <!-- <div class="osahan-slider-item m-2 rounded">
                                                    <img src="img/recommend/r2.jpg"
                                                        class="img-fluid mx-auto rounded shadow-sm"
                                                        alt="Responsive image">
                                                </div>
                                                <div class="osahan-slider-item m-2 rounded">
                                                    <img src="img/recommend/r3.jpg"
                                                        class="img-fluid mx-auto rounded shadow-sm"
                                                        alt="Responsive image">
                                                </div> -->
                                            </div>
                                            <div class="p-3 position-relative">
                                                <h6 class="mb-1 font-weight-bold text-success">{{c.name}}
                                                </h6>
                                                <p class="text-muted">{{c.description}}</p>
                                                <div class="d-flex align-items-center">
                                                    <h6 class="m-0">{{c.quantite}}</h6>
                                                    <a class="ml-auto" href="#">
                                                        <form id='myform' class="cart-items-number d-flex" method='POST'
                                                            action='#'>
                                                            <input type='button' value='-'
                                                                class='qtyminus btn btn-success btn-sm'
                                                                field='quantity' />
                                                            <input type='text' name='quantity' value='1'
                                                                class='qty form-control' />
                                                            <input type='button' value='+'
                                                                class='qtyplus btn btn-success btn-sm'
                                                                field='quantity' />
                                                        </form>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                           
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>